Puppet+Kubernetes : puppetlabs/kubernetes module limitations.

0 votes

I am on a ubuntu 14.04 machine and using puppet 3.8. Can I use puppetlabs/kubernetes module? Is it compatible with this OS? 

What underlying constraints should I take care of while using this puppetlabs/kubernetes module?

Aug 21 in Puppet by Sirajul
• 25,700 points
10 views

1 answer to this question.

0 votes

You should have puppet 4.0 or higher versions to support this module. Here are a few limitations of puppetlabs/kubernetes module

This module supports:

  • Puppet 4 or higher.
  • Kubernetes 1.10x or higher.
  • Ruby 2.3.0 or higher.

It has been tested on the following operating systems:

  • RedHat 7.x.
  • CentOS 7.x.
  • Ubuntu 16.04

Docker is the supported container runtime for this module.

answered Aug 21 by anonymous

Related Questions In Puppet

0 votes
1 answer

Puppet+Kubernetes : What all Kubernetes features does puppetlabs/kubernetes module support?

The module currently supports types for kubernetes_pod kubernetes_service kubernetes_replication_controller kubernetes_node kubernetes_event kubernetes_endpoint kubernetes_namespace kubernetes_secret kubernetes_resource_quota kubernetes_limit_range kubernetes_peristent_volume kubernetes_persistent_volume_claim kubernetes_component_status kubernetes_service_account Not all ...READ MORE

answered Aug 21 in Puppet by Sirajul
• 25,700 points
11 views
0 votes
1 answer

Puppet+Kubernetes: How does puppetlabs/kubernetes module communicate with the Kubernetes API?

The Kubernetes module uses the kubeclient library to ...READ MORE

answered Aug 23 in Puppet by Sirajul
• 25,700 points
17 views
0 votes
1 answer

Puppet+Kubernetes: Should i install Docker inorder to start using puppetlabs/kubernetes module?

The puppetlabs/kubernetes module installs and configures Kubernetes. You need ...READ MORE

answered Aug 23 in Puppet by Sirajul
• 25,700 points
19 views
0 votes
1 answer
0 votes
1 answer
0 votes
3 answers

Error while joining cluster with node

Hi Kalgi after following above steps it ...READ MORE

answered Jan 17 in Others by anonymous
2,173 views
+3 votes
1 answer
0 votes
1 answer

Install LAMP Stack by creating a new module - Puppet

Hey @Ruth, yes you can set up ...READ MORE

answered Mar 11 in Puppet by Shalaka
29 views
0 votes
1 answer

what is the puppet module command?

This command provides an interface for managing ...READ MORE

answered Jul 29 in Puppet by Sirajul
• 25,700 points
18 views